Chat now with support
Chat with Support

Foglight 5.9.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrading the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploying an agent package using the browser interface

Upgrade Foglight Automation

The latest version of Foglight Automation is 5.6.3.8.

Foglight Automation 5.6.3.8 requires Management Server version 5.9.4 or later.

For cartridge installation instructions, see “Installing Foglight Evolve Cartridges” in the Foglight Evolve Administration and Configuration Help.

For more details, see Upgrading Foglight ActionPacks.

Upgrading Foglight ActionPacks

The latest version of Foglight ActionPacks is 5.6.3.8:

Foglight ActionPacks 5.6.3.8 requires Management Server version 5.9.4 or later.

The ActionPacks require the ActionPack-Runtime.car file, which is included in the Foglight Automation.car file. All cartridges must have the same version.

Upgrade Foglight Change Analyzer

The latest version of Foglight Change Analyzer is 5.8.0.

Foglight Change Analyzer 5.8.0 requires Management Server version 5.9.5, or Foglight Evolve 9.0. It also requires Foglight for VMware version 5.8.0 (or later).

Foglight for VMware version 5.8.0 (which includes the DRP-5_8_0.car, Virtual-VMware-5_8_0.car, and Virtual-VMware-Admin-5_8_0.car cartridge files)
Foglight Change Analyzer version 5.8.0 (which includes the CommonAnalytics-5_8_0.car and ChangeAnalyzer-5_8_0.car cartridge files)
Foglight Resource Optimizer version 5.8.0 (which includes the Optimizer-5_8_0.car and VMware-Optimizer-5_8_0.car cartridge files)
NOTE: After installing the Virtual-VMware-5_8_0.car cartridge, existing vCenter agents (VC agents) must be updated using the Update Agent button in the VMware Environment > Administration tab.

Upgrade Foglight for Hyper-V

The latest version of Foglight for Hyper-V is 5.8.0.

Foglight for Hyper-V 5.8.0 requires Management Server version 5.9.5, or Foglight Evolve 9.0. Upgrading Foglight for Hyper-V on the Management Server makes an upgraded Hyper‑V Agent package available for deployment.

a
On the navigation panel, under Dashboards, click Administration > Agents > Agent Status.
4
On the Cartridge Inventory dashboard, install the following cartridge files. Do not remove the older version of these cartridges. Install the new versions over the older versions. The sequence of cartridge installation is important because of their dependencies.
Note: The monitoring of Hyper-V and Scale-Out File Server (SOFS) is enabled by the Virtual-HyperV-5_8_0.car file.
6
Update all of the existing Hyper-V agent instances. On the Hyper-V Environment dashboard > Administration tab, select all agent instances from the Agents table, and click Update Agent on the menu bar.
NOTE: Alternatively, you can deploy the updated agent package (HypervAgent.gar) using the browser interface; for details, see Appendix: Deploying an agent package using the browser interface. In this case, you need to create the corresponding credentials any existing Hyper-V agents manually, after deploying the agent package.
Related Documents